__gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc > - Const point-type iterator.

SYNOPSIS

#include <const_iterator.hpp>

Inherits __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >.

  Public Types

typedef base_type::const_pointer const_pointer
Iterator's const pointer type.
typedef base_type::const_reference const_reference
Iterator's const reference type.
typedef _Alloc::difference_type difference_type
Difference type.
typedef std::forward_iterator_tag iterator_category
Category.
typedef base_type::pointer pointer
Iterator's pointer type.
typedef base_type::reference reference
Iterator's reference type.
typedef base_type::value_type value_type
Iterator's value type.

  Public Member Functions

left_child_next_sibling_heap_const_iterator_ ()
Default constructor.
left_child_next_sibling_heap_const_iterator_ (const left_child_next_sibling_heap_const_iterator_< Node, _Alloc > &other)
Copy constructor.
left_child_next_sibling_heap_const_iterator_ (node_pointer p_nd)
bool operator!= (const left_child_next_sibling_heap_const_iterator_< Node, _Alloc > &other) const
Compares content (negatively) to a different iterator object.
bool operator!= (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) const
Compares content (negatively) to a different iterator object.
const_reference operator* () const
Access.
left_child_next_sibling_heap_const_iterator_< Node, _Alloc > & operator++ ()
left_child_next_sibling_heap_const_iterator_< Node, _Alloc > operator++ (int)
const_pointer operator-> () const
Access.
bool operator== (const left_child_next_sibling_heap_const_iterator_< Node, _Alloc > &other) const
Compares content to a different iterator object.
bool operator== (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > &other) const
Compares content to a different iterator object.

  Public Attributes

node_pointer m_p_nd

Detailed Description

  template<typename Node, typename _Alloc>
class __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >"Const point-type iterator.

Member Typedef Documentation

  template<typename Node, typename _Alloc> typedef base_type::const_pointer __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::const_pointer

Iterator's const pointer type.

  template<typename Node, typename _Alloc> typedef base_type::const_reference __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::const_reference

Iterator's const reference type.

  template<typename Node, typename _Alloc> typedef _Alloc::difference_type __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::difference_type

Difference type.

  template<typename Node, typename _Alloc> typedef std::forward_iterator_tag __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::iterator_category

Category.

  template<typename Node, typename _Alloc> typedef base_type::pointer __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::pointer

Iterator's pointer type.

  template<typename Node, typename _Alloc> typedef base_type::reference __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::reference

Iterator's reference type.

  template<typename Node, typename _Alloc> typedef base_type::value_type __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::value_type

Iterator's value type.

Constructor & Destructor Documentation

  template<typename Node, typename _Alloc> __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::left_child_next_sibling_heap_const_iterator_ () [inline]

Default constructor.

  template<typename Node, typename _Alloc> __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::left_child_next_sibling_heap_const_iterator_ (const left_child_next_sibling_heap_const_iterator_< Node, _Alloc > & other) [inline]

Copy constructor.

Member Function Documentation

  template<typename Node, typename _Alloc> bool __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::operator!= (const left_child_next_sibling_heap_const_iterator_< Node, _Alloc > & other) const [inline]

Compares content (negatively) to a different iterator object.

  template<typename Node, typename _Alloc> bool __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator!= (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > & other) const [inline], [inherited]

Compares content (negatively) to a different iterator object.

  template<typename Node, typename _Alloc> const_reference __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator* () const [inline], [inherited]

Access.

  template<typename Node, typename _Alloc> const_pointer __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator-> () const [inline], [inherited]

Access.

  template<typename Node, typename _Alloc> bool __gnu_pbds::detail::left_child_next_sibling_heap_const_iterator_< Node, _Alloc >::operator== (const left_child_next_sibling_heap_const_iterator_< Node, _Alloc > & other) const [inline]

Compares content to a different iterator object.

  template<typename Node, typename _Alloc> bool __gnu_pbds::detail::left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc >::operator== (const left_child_next_sibling_heap_node_point_const_iterator_< Node, _Alloc > & other) const [inline], [inherited]

Compares content to a different iterator object.

Author

Generated automatically by Doxygen for libstdc++ from the source code.